apply plugin: 'com.android.application'

android {
    compileSdkVersion 28
    buildToolsVersion '28.0.3'
    defaultConfig {
        applicationId "com.android.chmo"
        minSdkVersion 14
        targetSdkVersion 28
        versionCode 106
        versionName "1.0.6"
        ndk {
            abiFilters "armeabi-v7a", "x86", "arm64-v8a", "x86_64"
        }
        multiDexEnabled = true
    }

    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android.txt'), 'proguard-rules.pro'
        }
    }

    sourceSets {
        main {
            jniLibs.srcDirs = ['libs']
        }
    }
    lintOptions {
        checkReleaseBuilds false
        abortOnError false
    }

    dexOptions {
        preDexLibraries false
        jumboMode true
        javaMaxHeapSize "4g"
    }

    packagingOptions {
        exclude 'META-INF/LICENSE.txt'
        exclude 'META-INF/NOTICE.txt'
    }

    aaptOptions {
        cruncherEnabled = false
        useNewCruncher = false
    }
    compileOptions {
        sourceCompatibility = '1.8'
        targetCompatibility = '1.8'
    }
    signingConfigs {
        debug {
            storeFile file('debug.jks')
        }
        release {
            storeFile file('release.jks')
            storePassword "123456"
            keyAlias "chmo"
            keyPassword "123456"
        }
    }
    buildTypes {
        release {
            signingConfig signingConfigs.release
        }
    }
}

task copyDownloadableDepsToLibs(type: Copy) {
    from configurations.compile
    into 'libs'
}

dependencies {
    implementation fileTree(include: ['*.jar'], dir: 'libs')
    implementation 'com.android.support:appcompat-v7:28.0.0'
    implementation 'com.android.support:design:28.0.0'
    implementation 'com.android.support.constraint:constraint-layout:1.1.3'
    annotationProcessor 'com.jakewharton:butterknife-compiler:8.8.1'
    implementation 'com.jakewharton:butterknife:8.8.1'
    implementation 'com.scwang.smartrefresh:SmartRefreshLayout:1.0.5.1'
    implementation 'com.scwang.smartrefresh:SmartRefreshHeader:1.0.5.1'
    implementation 'com.google.code.gson:gson:2.8.2'
    implementation 'org.xutils:xutils:3.5.0'
    implementation 'com.contrarywind:Android-PickerView:4.1.6'
    implementation 'org.greenrobot:eventbus:3.1.1'
    implementation 'com.android.support:multidex:1.0.1'
    implementation 'com.tencent.mm.opensdk:wechat-sdk-android-with-mta:+'
    implementation 'com.lovedise:permissiongen:0.0.6'
    implementation('com.github.chrisbanes:PhotoView:2.1.4') {
        exclude group: 'com.android.support'
    }
    implementation files('libs/AMap2DMap_3.0.0_AMapSearch_3.6.1_AMapLocation_3.2.1_20161228.jar')
    implementation project(':uikit')
    implementation files('libs/alipaySdk.jar')
    implementation files('libs/MiPush_SDK_Client_3_6_2.jar')
    implementation files('libs/HMS_SDK_2.6.1.301.jar')
    implementation 'com.netease.nimlib:push:5.4.0'
    implementation 'com.netease.nimlib:basesdk:5.4.0'
    implementation 'com.netease.nimlib:nrtc:5.4.0'
    implementation 'com.netease.nimlib:rts:5.4.0'
    implementation 'com.netease.nimlib:avchat:5.4.0'
    implementation project(':avchatkit')
    implementation 'com.github.dmytrodanylyk.shadow-layout:library:1.0.3'
    implementation 'com.android.support:support-v4:28.0.0'
    implementation 'com.github.kenglxn.QRGen:android:2.5.0'
    implementation 'com.android.support:recyclerview-v7:28.0.0'
    implementation 'cn.aigestudio.wheelpicker:WheelPicker:1.1.2'
    implementation 'com.google.android:flexbox:1.0.0'
    implementation 'com.liulishuo.filedownloader:library:1.7.5'
    implementation 'com.blankj:utilcode:1.10.0'
    implementation 'com.youth.banner:banner:1.4.10'
}
